Package net.shibboleth.idp.profile.context.navigate

# Class RelyingPartyContextLookupByLabel

java.lang.Object
net.shibboleth.idp.profile.context.navigate.RelyingPartyContextLookupByLabel

All Implemented Interfaces:
  `Function<MultiRelyingPartyContext,Collection<RelyingPartyContext>>`

public class RelyingPartyContextLookupByLabel extends Object implements Function<MultiRelyingPartyContext,Collection<RelyingPartyContext>>
A function that returns a collection of `RelyingPartyContext`s based on a label.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final String`
`label`
Label to use for auto-creation.

## Constructor Summary

Constructors
Constructor
Description
`RelyingPartyContextLookupByLabel(String theLabel)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Collection<RelyingPartyContext>`
`apply(MultiRelyingPartyContext input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Field Details

### label

@Nonnull private final String label
Label to use for auto-creation.

## Constructor Details

### RelyingPartyContextLookupByLabel

public RelyingPartyContextLookupByLabel(@Nonnull @NotEmpty @ParameterName(name="theLabel") String theLabel)
Constructor.

Parameters:
  `theLabel` - indicates context should be created if not present, using this label

## Method Details

### apply

@Nullable public Collection<RelyingPartyContext> apply(@Nullable MultiRelyingPartyContext input)

Specified by:
  `apply` in interface `Function<MultiRelyingPartyContext,Collection<RelyingPartyContext>>`